require 'sketchup.rb'

module DBUR_SelFacesByType
def self.selfaces()
	@model=Sketchup.active_model
	@ents=@model.active_entities
	@sel=@model.selection
	@sel.clear
	@faceType = "Horizontal" unless @faceType
	faces_types=["Horizontal","Vertical","Sloping"]
	prompts=["Select faces:         "]
	enum1 = [faces_types.join("|")]
	enums=[enum1]
	values = [@faceType]
    
    results = inputbox prompts, values, enums, "Select face type"
    return nil if not results
    @faceType = results[0]
	    @ents.each do |ent|
			next if ent.class != Sketchup::Face
			@nz=ent.normal.z
				case @faceType
					when "Horizontal"
						@sel.add(ent) if (@nz == 1.0 or @nz == -1.0)
					when "Vertical"
						@sel.add(ent) if @nz == 0.0
					when "Sloping"
						@sel.add(ent) if (@nz != 0 and @nz != 1.0)
				end
	    end
end
end # module DBUR_SelFacesByType

unless file_loaded?(__FILE__)
    UI.menu("Tools").add_item("Select faces by orientation") { DBUR_SelFacesByType::selfaces() }
end
file_loaded( __FILE__ )